
Foreman - Bug #22882

Error generating gettext MO files when line ending is inconsistent

03/13/2018 03:48 PM - Ondřej Pražák

Status: Closed   

Priority: Normal   

Assignee: Ondřej Pražák   

Category:    

Target version: 1.17.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

When running 'make -C locale all-mo', I got:

make: Entering directory `/home/vagrant/foreman/locale'

mkdir -p ca/LC_MESSAGES

msgfmt -o ca/LC_MESSAGES/foreman.mo ca/foreman.po

mkdir -p de/LC_MESSAGES

msgfmt -o de/LC_MESSAGES/foreman.mo de/foreman.po

mkdir -p en/LC_MESSAGES

msgfmt -o en/LC_MESSAGES/foreman.mo en/foreman.po

mkdir -p en_GB/LC_MESSAGES

msgfmt -o en_GB/LC_MESSAGES/foreman.mo en_GB/foreman.po

mkdir -p es/LC_MESSAGES

msgfmt -o es/LC_MESSAGES/foreman.mo es/foreman.po

mkdir -p fr/LC_MESSAGES

msgfmt -o fr/LC_MESSAGES/foreman.mo fr/foreman.po

mkdir -p gl/LC_MESSAGES

msgfmt -o gl/LC_MESSAGES/foreman.mo gl/foreman.po

mkdir -p it/LC_MESSAGES

msgfmt -o it/LC_MESSAGES/foreman.mo it/foreman.po

mkdir -p ja/LC_MESSAGES

msgfmt -o ja/LC_MESSAGES/foreman.mo ja/foreman.po

mkdir -p ko/LC_MESSAGES

msgfmt -o ko/LC_MESSAGES/foreman.mo ko/foreman.po

mkdir -p pl/LC_MESSAGES

msgfmt -o pl/LC_MESSAGES/foreman.mo pl/foreman.po

mkdir -p pt_BR/LC_MESSAGES

msgfmt -o pt_BR/LC_MESSAGES/foreman.mo pt_BR/foreman.po

mkdir -p ru/LC_MESSAGES

msgfmt -o ru/LC_MESSAGES/foreman.mo ru/foreman.po

mkdir -p sv_SE/LC_MESSAGES

msgfmt -o sv_SE/LC_MESSAGES/foreman.mo sv_SE/foreman.po

mkdir -p zh_CN/LC_MESSAGES

msgfmt -o zh_CN/LC_MESSAGES/foreman.mo zh_CN/foreman.po

zh_CN/foreman.po:7017: 'msgid' and 'msgstr[0]' entries do not both end with '\n'

msgfmt: found 1 fatal error

make: *** [zh_CN/foreman.mo] Error 1

make: Leaving directory `/home/vagrant/foreman/locale'

 caused by:

msgid "Select this host" 

msgid_plural "Select all <b> %{total} </b> hosts" 

msgstr[0] "" 

"选择这个主机\n" 

"选择所有 <b> %{total} </b> 主机\n" 
 fixed version:

msgid "Select this host" 

msgid_plural "Select all <b> %{total} </b> hosts" 

msgstr[0] "" 

"选择这个主机\n" 

"选择所有 <b> %{total} </b> 主机" 

History

#1 - 03/14/2018 06:56 AM - Ondřej Pražák

- Status changed from New to Closed

#2 - 03/22/2018 09:07 AM - Lukas Zapletal

FYI we have "make check" target which performs check of messages. We should use that when merging i18n.
